Productsup

Retrieve a list of all export template attribute tags of an export template attribute

An export template attribute tag is metadata of an export template attribute. This endpoint lists all export template attribute tags of an export template attribute.

GET
/V1/export-templates/{templateId}/attributes/{exportFieldId}/attribute-tags

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

templateId*string

Export template id.

exportFieldId*string

Export Template Attribute id.

Response Body

application/json

application/json

curl -X GET "https://export-template-api.productsup.com/V1/export-templates/string/attributes/string/attribute-tags"
{
  "data": [
    {
      "id": 1247758,
      "key": "classification_field_type",
      "value": "Numeric"
    },
    {
      "id": 1247759,
      "key": "classification_field_sub_type",
      "value": "details"
    }
  ]
}
{
  "errors": {
    "message": "Export template with id 123 not found."
  }
}